> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to get list entity by name

> How to get list entity via web service APIs

The List endpoint, as exposed by the Agent API and proxy clients, uses Named lists, or methods, to obtain a list entity and list items.

The follow examples demonstrate how to get the Category list entity.

<Tabs>
  <Tab title="RESTful REST API">
    ```http theme={null}
    GET https://{{env}}.superoffice.com/{{tenant}}/api/v1/List/Category
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    ```
  </Tab>

  <Tab title="HTTP RPC Agent API">
    ```http theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/List/GetListEntityByName HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json; charset=utf-8

    {
      "Name": "Category",
    }
    ```
  </Tab>

  <Tab title="WebApi Proxy API">
    Get a list entity using the [SuperOffice.WebApi][1] proxy client.

    ```csharp theme={null}
    var config = new WebApiOptions(tenant.WebApiUrl);
    config.Authorization = new AuthorizationAccessToken("8A:Cust12345.Example-Token", OnlineEnvironment.SOD);
    var agent = new ListAgent(config);

    var listEntity = agent.GetListEntityByNameAsync("Category").Result;
    ```
  </Tab>
</Tabs>

[Back](./index)

[1]: ../../../web-services/proxies/index


## Related topics

- [How to get all lists](/en/api/lists/services/how-to/get-all-lists.md)
- [How to get all list items](/en/api/lists/services/how-to/get-list-items.md)
- [How to get a specific list item](/en/api/lists/services/how-to/get-list-item.md)
- [How to get the category list and set category on a contact](/en/api/web-services/howto/company/get-set-category-mdoagent.md)
- [Get List Entity By Name](/en/api/reference/restful/rest/list_/get-list-entity-by-name.md)
